Description

The 'templates'.'type' column has a default value of ConfigTemplate, a class that was renamed to Template when changed to STI in 

#7096. This should be updated.

On Rails 5, the unknown class causes an error loading test fixtures:

    DomainTest#test_0008_should update total_hosts on changing primary interface domain:

    ActiveRecord::SubclassNotFound: The single-table inheritance mechanism failed to locate the su

bclass: 'ConfigTemplate'. This error is raised because the column 'type' is reserved for storing t

he class in case of inheritance. Please rename this column if you didn't intend

     it to be used for storing the inheritance class or overwrite Ptable.inheritance_column to use

 another column for that information.

        activerecord (5.0.0) lib/active_record/inheritance.rb:182:in `rescue in find_sti_class'

        activerecord (5.0.0) lib/active_record/inheritance.rb:175:in `find_sti_class'

        activerecord (5.0.0) lib/active_record/inheritance.rb:209:in `subclass_from_attributes'

        activerecord (5.0.0) lib/active_record/inheritance.rb:58:in `new'

Associated revisions

Revision 9a1dfb99 - 08/22/2016 03:10 AM - Dominic Cleal

fixes #16193 - change templates.type default to known STI class

History

#1 - 08/19/2016 03:14 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3746 added

#2 - 08/22/2016 04:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9a1dfb99d676a177410e6bb54373f4ec2f49e06c.

#3 - 08/22/2016 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 160
